{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="LAB 9">
    <meta name="author" content="{{author}}">

    <!-- bootstrap csss -->
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css" rel="stylesheet">
    <link href="{% static 'css/myowncss.css' %}" rel="stylesheet">
    <style>
        .rata-tengah {
            text-align: center;
            margin : 20px;
        }
        .judul {
            text-transform:uppercase;
            margin-bottom: 50px;
            margin-top: 50px;
        }
        .navbar-login
        {
            width: 305px;
            padding: 10px;
            padding-bottom: 0px;
        }

        .navbar-login-session
        {
            padding: 10px;
            padding-bottom: 0px;
            padding-top: 0px;
        }

        .icon-size
        {
            font-size: 87px;
        }
    </style>
    <title>
        {% block title %} Lab 10{% endblock %}
    </title>
</head>
<body>
<header>
    <div class="navbar navbar-inverse navbar-fixed-top" role="navigation" >
    <div class="container"> 
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span> 
            </button>
            <a href="/lab-10/" class="navbar-brand">Lab 10</a>
        </div>
        <div class="collapse navbar-collapse">
            
            {% if login %}
            <ul class="nav navbar-nav navbar-right">
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <span class="glyphicon glyphicon-user"></span> 
                        <strong>{{author}}</strong>
                        <span class="glyphicon glyphicon-chevron-down"></span>
                    </a>
                    <ul class="dropdown-menu">
                        <li>
                            <div class="navbar-login">
                                <div class="row">
                                    <div class="col-lg-4">
                                        <p class="text-center">
                                            <span class="glyphicon glyphicon-user icon-size"></span>
                                        </p>
                                    </div>
                                    <div class="col-lg-8">
                                        <p class="text-left"><strong>{{author}}</strong></p>
                                    </div>
                                </div>
                            </div>
                        </li>
                        <li class="divider"></li>
                        <li>
                            <div class="navbar-login navbar-login-session">
                                <div class="row">
                                    <div class="col-lg-12">
                                        <p>
                                            <a href="{% url 'lab-10:auth_logout' %}" class="btn btn-danger btn-block" onclick="return confirm('Keluar?')">Logout</a>
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </li>
                    </ul>
                </li>
            </ul>
            
            
            {% endif %}
            <ul class="nav navbar-nav">
                <li><a href="{% url 'lab-10:list_watch_later' %}">Watch Later</a></li>
                <li><a href="{% url 'lab-10:movie_list' %}">Movie List</a></li>     
             </ul>
        </div>
    </div>
</div>
</header>
<content>
    <div class="container">
        {% for message in messages %}
        
        <div class="alert {{ message.tags }} alert-warning" role="alert" id="django-messages" style="margin-top: 100px">
            
            <button type="button" class="close" data-dismiss="alert" aria-label="Close" style="margin-right: 15px;">
                <span aria-hidden="true">&times;</span>
            </button>
            {{ message }}
        </div>
        {% endfor %}

        {% block content %}
        <!-- Your Content Here -->
        {% endblock %}
    </div>
</content>
<footer>
    <hr>
    <div class="text-center">
    <p>&copy; Copyright 2017</p>
    </div>
    
</footer>

<!-- Jquery n Bootstrap Script -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>

</body>
</html>
